<!--
  Generated template for the LoginPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header no-border no-shadow style="background: transparent !important">

  <ion-navbar style="background: transparent !important">
    <ion-title></ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col col-8 offset-2 text-center>
        <img src="./assets/imgs/coaching-2.png" alt="">
        <!--
        <div margin-top padding-top>
          <ion-segment [(ngModel)]="valueProfile" mode="ios" color="walkthrough">
            <ion-segment-button value="1" [disabled]="isLoading" class="text-segment">
              APRENDIZ
            </ion-segment-button>
            <ion-segment-button value="2" [disabled]="isLoading" class="text-segment">
              MENTOR
            </ion-segment-button>
          </ion-segment>
        </div>
        -->
      </ion-col>
    </ion-row>
  </ion-grid>

  <form [formGroup]="loginForm">
    <ion-grid>
      <ion-row>
        <ion-col col-2></ion-col>
        <ion-col col-8 text-center>
          <!-- <p text-center class="title-page">Iniciar Sesión</p> -->
          <ion-item class="item-form">
            <ion-label stacked class="label-form">Email</ion-label>
            <ion-input [formControl]="loginForm.controls['email']" type="email" [disabled]="isLoading"></ion-input>
          </ion-item>
          <ion-item class="item-form">
            <ion-label stacked class="label-form">Contraseña</ion-label>
            <ion-input [formControl]="loginForm.controls['password']" type="password" [disabled]="isLoading"></ion-input>
          </ion-item>
          <!-- <p ion-text text-center color="walkthrough">¿Haz olvidado tu contraseña?</p> -->
          <div text-center style="margin-top: 4em">
            <button ion-button round large block color="walkthrough" [ngClass]="{'btn-valid': loginForm.valid, 'btn-invalid': !loginForm.valid}"
              (click)="doLogin()" *ngIf="!isLoading">Iniciar
              Sesión</button>
            <button ion-button round large block color="walkthrough" *ngIf="isLoading">
              <ion-spinner name="ios-small" color="white-footer"></ion-spinner>
            </button>
          </div>
        </ion-col>
        <ion-col col-2></ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>

<!--
<ion-footer color="walkthrough-alt" no-border no-shadow>
  <ion-toolbar color="walkthrough-alt" no-border no-shadow text-center>
    <button ion-button round large color="walkthrough" [disabled]="!loginForm.valid" [ngClass]="{'btn-valid': loginForm.valid, 'btn-invalid': !loginForm.valid}">Iniciar Sesión</button>
  </ion-toolbar>
</ion-footer>
-->